<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:composite="http://java.sun.com/jsf/composite"
      xmlns:p="http://primefaces.org/ui"
      xmlns="http://www.w3.org/1999/xhtml">

<composite:interface>
</composite:interface>
<composite:implementation>
    <h:outputStylesheet name="css/background-styles.css"/>
    <blockquote>
        <i>
            <h:outputText value="#{site.PARAM_MSG_ORE_PRE_PROD}"
                          style="font-size: 10px; "
            />
        </i>
    </blockquote>
    <p class="intro">
        <h:outputFormat value="#{index.PARAM_MSG_WELCOME}" styleClass="header"
                        escape="false"
        >
            <f:param value="#{site.PARAM_MSG_ORE_FULL_NAME}"/>
        </h:outputFormat>
    </p>
    <p class="intro">
        <h:outputFormat value="#{index.PARAM_MSG_WELCOME_INTRO}"
                        escape="false"
        >
            <f:param value="#{site.PARAM_MSG_ORE_INTRO}"/>
        </h:outputFormat>
    </p>
    <h:form styleClass="intro">
        <h:outputLink value="#{site.PARAM_MSG_ORE_LINK_NEWS}" id="moreInfos"
                      target="_blank"
        >
            <!--                <h:outputText value="#{site.PARAM_MSG_ORE_NEWS}"  escape="false"/>-->
        </h:outputLink>
    </h:form>
    <hr></hr>
    <h:form styleClass="intro">
        <p:graphicImage value="#{resource['images/search_results.png']}"/>
        <h:commandLink action="synthesis" immediate="true">#{index.PARAM_MSG_SYNTHESIS_LINK}</h:commandLink>
        <h:outputFormat value="#{index.PARAM_MSG_SYNTHESIS_TEXT}"
                        escape="false"
        />
    </h:form>
    <hr></hr>
    <p class="intro">
        <h:outputFormat value="#{index.PARAM_MSG_DATA_ACCESS}"
                        styleClass="header" escape="false"
        />
    </p>
    <p class="intro">#{index.PARAM_MSG_SYNTHESIS_INTRO}</p>
    <h:form styleClass="intro">
        <h:outputFormat value="#{index.PARAM_MSG_DATA_USE_TEXT_1}"
                        escape="false"
        >
            <f:param value="#{site.PARAM_MSG_ORE_NAME}"/>
        </h:outputFormat>
        <h:commandLink action="charter" immediate="true">#{index.PARAM_MSG_CHARTER}</h:commandLink>
        <h:outputText value="#{index.PARAM_MSG_DATA_USE_TEXT_2}"/>
    </h:form>
    <h:form styleClass="intro">
        <h:outputText value="#{site.PARAM_MSG_FIRST_CONNECT}" escape="false"/>
    </h:form>
    <h:form id="identificationForm" styleClass="intro">
        <h:panelGroup styleClass="panelControlsWrapper launchWrapper">
            <h:panelGroup styleClass="panelControls panelControlsLaunch">
                <h:panelGroup styleClass="control">
                    <p:commandLink onclick="PF('loginPopup').show()"
                                   process="@none"
                                   onstart="PF('popupWaitSimple').show()"
                                   oncomplete="PF('popupWaitSimple').hide()"
                                   update="inactiveUserPanel,inactiveUserEmail,incorectIdentificationPanel">
                        <p:graphicImage value="#{resource['images/login.png']}"/>
                        <h:outputText value="#{index.PARAM_MSG_CONNECT}"/>
                    </p:commandLink>
                </h:panelGroup>
                <h:panelGroup styleClass="control">
                    <p:commandLink action="createProfile" immediate="true"
                                   onstart="PF('popupWaitSimple').show()"
                                   oncomplete="PF('popupWaitSimple').hide()">
                        <p:graphicImage value="#{resource['images/new_profil.png']}"/>
                        <h:outputText value="#{index.PARAM_MSG_CREATE}"/>
                    </p:commandLink>
                </h:panelGroup>
                <h:panelGroup id="lostIdentifiantPanel">
                    <h:outputLink value="retrievePasswordSendEmail.jsf"
                                  id="retrievePasswordSendEmail">
                        <h:outputText value="#{loginPanel.PARAM_MSG_LOST_IDENT}"/>
                    </h:outputLink>
                </h:panelGroup>
            </h:panelGroup>
        </h:panelGroup>
        <h:panelGroup id="incorectIdentificationPanel"
                      styleClass="alertconnect"
                      rendered="#{uiIdentification.incorectIdentification}">
            <p:graphicImage value="#{resource['images/warning.png']}"/>
            <h:outputText rendered="#{uiIdentification.incorectIdentification}"
                          value="#{index.PARAM_MSG_BAD_IDENTIFICATION}"/>
        </h:panelGroup>
        <h:panelGroup id="inactiveUserPanel" styleClass="inactiveUser"
                      rendered="#{uiIdentification.inactiveUser}" layout="block">
            <h:panelGroup
                    rendered="#{uiIdentification.inactiveUser}">
                <h:panelGroup styleClass="control">
                        <span id="inactiveUserMessage">
                            <p:graphicImage value="#{resource['images/warning.png']}"
                                            width="20"/>
                            <h:outputFormat value="#{index.PARAM_MSG_NON_ACTIVE_USER}"
                                            escape="false">
                                <f:param value="#{uiIdentification.login}"/>
                            </h:outputFormat>
                        </span>
                    <h:inputText id="inactiveUserEmail"
                                 value="#{uiIdentification.email}"
                                 rendered="#{uiIdentification.inactiveUser}"
                                 styleClass="inactiveProfilEmail">
                        <p:ajax process="@this" event="keyup"/>
                    </h:inputText>
                    <h:panelGroup styleClass="panelControls panelControlsLaunch inactiveProfilButton">
                        <h:panelGroup styleClass="control">
                            <p:commandLink
                                    actionListener="#{uiIdentification.sendValidationEmail()}"
                                    immediate="true"
                                    onstart="PF('popupWaitSimple').show()"
                                    oncomplete="PF('popupWaitSimple').hide()"
                                    process="@this,#{p:component('inactiveUserPanel')}"
                                    onclick="alert('#{index.PARAM_MSG_MAIL_SENDED_TO}' + $(this).parents('.inactiveUser').find('input:text').attr('value'));
                                            $(this).parents('.inactiveUser').hide();
                                            return true;"
                                    update="#{p:component('inactiveUserPanel')},#{p:component('inactiveUserEmail')},#{p:component('incorectIdentificationPanel')}">
                                <p:graphicImage value="#{resource['images/email.png']}"
                                                width="20"/>
                                #{index.PARAM_MSG_RECEIVE}
                            </p:commandLink>
                        </h:panelGroup>
                    </h:panelGroup>
                </h:panelGroup>
            </h:panelGroup>
        </h:panelGroup>
    </h:form>
    <h:form styleClass="intro">
        <h:outputText value="#{index.PARAM_MSG_DOCS}" escape="false"/>
        <h:outputLink value="./resources/manual/manual.pdf"
                      id="downloadButton"
        >
            <h:outputText value="#{index.PARAM_MSG_DOC_NAME}" escape="false"/>
        </h:outputLink>
    </h:form>
    <!--        <p class="intro">
                       <h:outputFormat value="#{index.PARAM_MSG_DATA_USE}"
                               styleClass="header"  escape="false"/>
                   </p>-->
    <p class="intro">
        <h:outputFormat value="#{index.PARAM_MSG_MORE}" styleClass="header"
                        escape="false"
        />
        <!--            <h:outputText value="#{site.PARAM_MSG_MORE_DETAILS}" />-->
    </p>
    <h:form styleClass="intro">
        <h:outputText value="#{index.PARAM_MSG_MORE_INFO}" escape="false"/>
        <h:outputLink value="#{site.PARAM_MSG_ORE_LINK}" id="moreInfos"
                      target="_blank"
        >
            <h:outputText value="#{index.PARAM_MSG_WEBSITE}" escape="false"/>
        </h:outputLink>
    </h:form>
</composite:implementation>
</html>